Subject: Re: bug#20731: 24.5; eww-open-file does display verbatim code

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2015 06:56:05 +0100

Fabrice Niessen <[email-masked]> writes:

> It seems to be buggy (confirmed by Lars) the fact that `eww-open-file'
> does display the source code of such a file:
>
> <?xml version="1.0" encoding="iso-8859-1"?>
> <html xmlns="http://www.w3.org/1999/xhtml">
>   <head>
>     <title>
>       Pavé Mémo
>     </title>
>   </head>
>   <body bgcolor="#FFFFB0">
>     <table border="0" width="290" style="font-family: Arial; font-size: 8pt">
>       <tr>
>         <td class='memo'>
>           $+pfiComm+#
>         </td>
>       </tr>
>     </table>
>   </body>
> </html>
>
> instead of rendering it (like Internet Explorer does, for example).

I'm unable to reproduce this bug.  If I put the HTML into a file and
point eww-open-file at it, I get things rendered correctly.

Are you still seeing this bug with the current Emacs trunk?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no